# 时间片优化·其一 提升单位时间收益


关于「时间片的优化」，有两种思路。第一种是，**提升单位时间的收益**。

这个逻辑很简单，既然时间片的数量很难提升，那么每一片时间挣的钱多了，整个收益就多了。
比如说我们在做外包的时候，可以去找更好的雇主。

## 切换地域

![](https://theseven.ftqq.com/20200407135336.png)

第一个思路是，去做国外的外包。因为和国内相比，国外的人力成本会贵很多，相比国外的开发者，我们的成本又更低，所以这就出现了一个价格差。控制好这个价格差，我们就能挣到更多的钱。

当然，要做国外的业务就要求我们有通过外语进行沟通的能力，如果你没有，可以放弃这个市场；或者试试用[福利单词](https://fox.ftqq.com)来培养(误)。

## 从外包 ❌ 到二次开发 ⭕️

但是在没有建立起自己的行业知名度之前，做外包面对的往往是价格战的红海，总有人的时间比你不值钱。而且外包是一个开放性需求，如果真的要把雇主的需求做细做好的话，对技术栈的广度要求还挺高的。另外好的外包项目往往并不完全公开招标，而是通过业内或者朋友推荐的方式来的。

其实有一种方式可以缓解这种情况。那就是**我们把开发的范围缩小到一个细分市场上来**，通过给一些标准化的开源产品做二次开发来挣钱。

这个也不是什么新思路，很早以前就有人专门给Discuz!做二次开发挣钱。但我们可以把思路扩展开一些，比如**从国内项目改成国际知名的项目**。

这样就能解决掉「出海」接活的大部分问题，用户从哪儿来？开源社区。如何证明自己？写几个高质量的开源插件做的demo。如何获取高收益？专门给一个项目写插件的人并不多。

## 切换对时间片更友好的商业模式

另一方面，如果我们能控制自己售卖时间片的方式话，还可以通过更好的商业模式来提升单位时间的收益。

举个例子，我之前做课的时候，很多同学问我说「为什么不去做一对一的精品课程」或者「为什么你不爱做直播」？

![](https://theseven.ftqq.com/20200407135516.png)

结合时间片理论想想，大家就会发现原因。如果我们去做一对一，虽然这个客户可能给我的收益相对算高。但是我的时间片只能花费在这一个客户身上。而**如果是一对多，从可能性上讲，我的收益空间就会高非常多**。即使来自单个客户的收益不多，但很多人累积起来就多了。

直播课也是一样的道理，它每一次都要消耗我们的时间片。而录播课只要录制一次，之后就不用再消耗我们的时间片了。所以单从利用率上来讲，录播才是更好的方式。

这只是从模式上来讲的效率，并不一定和具体的例子匹配。也可能会有直播做的非常挣钱，录播根本没人看的情况。直播还能带货呢，对吧。

现在很多课程平台也用直播来拉新，这里所谓的直播课其实就是变相广告，它是用来解决营销问题的，完全就是另一套逻辑了。